# IvyArtifactRepositoryMetaDataProvider

API Documentation: | `IvyArtifactRepositoryMetaDataProvider`

Note: This class is incubating and may change in a future version of Gradle.

The meta-data provider for an Ivy repository. Uses the Ivy module descriptor (`ivy.xml`) to determine the meta-data for module versions and artifacts.

### Properties

Property | Description
`dynamicMode` | Incubating Returns true if dynamic resolve mode should be used for Ivy modules. When enabled, the `revConstraint` attribute for each dependency declaration is used in preference to the `rev` attribute. When disabled (the default), the `rev` attribute is always used.

### Property details

#### `boolean` `dynamicMode`

Note: This property is incubating and may change in a future version of Gradle.

Returns true if dynamic resolve mode should be used for Ivy modules. When enabled, the `revConstraint` attribute for each dependency declaration is used in preference to the `rev` attribute. When disabled (the default), the `rev` attribute is always used.

### Script blocks

No script blocks

### Methods

No methods